package com.mortals.xhx.module.doc.baseinfo.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.doc.baseinfo.model.DocBaseinfoEntity;
import com.mortals.xhx.module.doc.baseinfo.model.vo.DocBaseinfoVo;
import com.mortals.xhx.module.doc.baseinfo.model.DocBaseinfoQuery;

/**
 * DocBaseinfo
 * <p>
 * doc基础信息 Form
 *
 * @author zxfei
 * @date 2021-10-16
 */
public class DocBaseinfoForm extends BaseCRUDFormLong<DocBaseinfoEntity> {
    private DocBaseinfoEntity entity = new DocBaseinfoEntity();
    private DocBaseinfoQuery query = new DocBaseinfoQuery();

    public DocBaseinfoForm() {
    }

    @Override
    public DocBaseinfoEntity getEntity() {
        return entity;
    }

    public void setDocBaseinfo(DocBaseinfoEntity entity) {
        this.entity = entity;
    }

    @Override
    public DocBaseinfoQuery getQuery() {
        return query;
    }

    public void setQuery(DocBaseinfoQuery query) {
        this.query = query;
    }
}